Skip to main content
POST
/
data-capture-responses
Capture Response
curl --request POST \
  --url https://api.nuwebgroup.com/v1/data-capture-responses \
  --header 'Authorization: Bearer <token>' \
  --header 'Content-Type: application/json' \
  --data '
[
  {
    "answer": "Lorem ipsum.",
    "fieldId": 1,
    "customerId": 1,
    "orderId": 1,
    "eventId": null,
    "orderItemId": null
  },
  {
    "answer": [
      1,
      2,
      3
    ],
    "fieldId": 2,
    "customerId": 1,
    "orderId": 1,
    "eventId": null,
    "orderItemId": null
  },
  {
    "answer": "Michael is interested in our Growth payment plan.",
    "fieldId": 9,
    "customerId": 1,
    "zoneScanId": "ac35342f-6bb9-4e27-a218-f523cfc09660"
  }
]
'
{
  "data": [
    {
      "type": "dataCaptureResponses",
      "id": 1,
      "attributes": {
        "question": "Ad et optio rerum?",
        "questionId": 1,
        "questionGroup": "shop",
        "questionCategoryId": null,
        "answer": "Lorem ipsum,",
        "availableOptions": [],
        "orderId": 1,
        "orderItemId": null,
        "metaData": null,
        "createdAt": "2021-11-22T11:59:00.000000Z",
        "updatedAt": "2021-11-22T11:59:00.000000Z"
      }
    },
    {
      "type": "dataCaptureResponses",
      "id": 2,
      "attributes": {
        "question": "Sed ut perspiciatis unde omnis iste natus error sit voluptatem?",
        "questionId": 2,
        "questionGroup": "shop",
        "questionCategoryId": null,
        "answer": [
          1,
          2,
          3
        ],
        "availableOptions": [
          {
            "id": 1,
            "value": "alias"
          },
          {
            "id": 2,
            "value": "optio"
          },
          {
            "id": 3,
            "value": "reducto"
          }
        ],
        "orderId": 1,
        "orderItemId": null,
        "metaData": null,
        "createdAt": "2021-11-22T11:59:00.000000Z",
        "updatedAt": "2021-11-22T11:59:00.000000Z"
      }
    }
  ]
}

Documentation Index

Fetch the complete documentation index at: https://docs.nuwebgroup.com/llms.txt

Use this file to discover all available pages before exploring further.

Authorizations

Authorization
string
header
required

The 'Bearer' token can be obtained from the token management interface or via the login endpoint using your admin user credentials.

Headers

X-NU-COMPANY-ID
integer

The ID of the company this operation should be performed against.

Accept-Language
string

Sets the preferred language for localised response content (e.g. en, fr, de). If the requested language is not supported by the company, the company fallback language will be assumed.

Body

application/json

Request body for creating data capture responses

answer
string

Can be a string, or an array of option ID's for select/checkbox/multi-checkbox/radio questions.

fieldId
integer
orderId
integer
orderItemId
integer
zoneScanId
string

The UUID of a specific zone scan to attach this data capture answer to.

eventId
integer
customerId
integer
Example:
[
{
"answer": "Lorem ipsum.",
"fieldId": 1,
"customerId": 1,
"orderId": 1,
"eventId": null,
"orderItemId": null
},
{
"answer": [1, 2, 3],
"fieldId": 2,
"customerId": 1,
"orderId": 1,
"eventId": null,
"orderItemId": null
},
{
"answer": "Michael is interested in our Growth payment plan.",
"fieldId": 9,
"customerId": 1,
"zoneScanId": "ac35342f-6bb9-4e27-a218-f523cfc09660"
}
]

Response

Successfully saved data capture responses.

data
object[]